ISPConfig install with AMD64 X2: which distribution?

Discussion in 'Installation/Configuration' started by mlanglois, Jan 14, 2006.

  1. mlanglois

    mlanglois New Member

    First, I want to congratulate the ISPConfig team. I LOVE it!!

    I have a new machine with an Athlon64 X2; I want to setup an ISPConfig-based server that's optimized for it (64bits dual-core support, esp. with MySQL). And I need PHP5 with mbstring and gd2.

    Which of the distributions presented in the howtos (Suse, Ubuntu, Mandriva...) would you advise me? What about Gentoo (I've heard it's good with AMD64)?
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Gentoo is not supported yet with ISPConfig.

    Personally i would recommend Debian or Ubuntu. 64bit is not correctly detected by the installer yet, if you search the forum for "x86_64" you will find posts which describe the nescessary changes in the compile script.
  3. lerra

    lerra New Member

    Is it the same for Xenon 64bits system?
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, i think its the same. But i have not installed it on Xeon 64bit yet.
  5. mlanglois

    mlanglois New Member

    Uncomplete PHP5 in Ubuntu?

    Thanks for the advice, till.

    I followed the Howto with Ubuntu, and applied the modifications to install ISPConfig on AMD64 (detailed info on the forum); It did work!
    However, I noticed that Ubuntu did not install the SMP kernel. I installed it later on.
    Another problem: the Howto features PHP4 installation and not PHP5. I tried to install PHP5 instead, but I did not find a package for mbstring -- at least not for AMD64 I guess. Am I mistaken?
    I really need good PHP5 support as some of the web sites require it. And by the way, MySQL 5 support would be appreciated (though not indispensable). Will Ubuntu do? Or do I need to compile them manually (which I'd rather not do)?
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Hmmm, the debian package database is currently down and I cant find the ubuntu package database to verify that. If you enabled the universe repositories and there is no such package you mifht have to compile php5 yourself.

    MySQL 5 has not been tested with ISPCOnfig yet, so i wont recommend it.
  7. mlanglois

    mlanglois New Member

    Yes I have enabled universe repositories.

    I have checked
    I have also checked which has been suggested for up-to-date PHP5 packages.

    Now I've read the SuSE howto and on p. 5 it features PHP5 install including mbstring. So maybe the easiest thing for me would be to format the drive and do a new install with SuSE?
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    You can try to use SuSe. ISPConfig supports both versions equally.

Share This Page